using GLib;

string? find_binary(string name, string ignore_dir = ""){
	string[] paths = Environment.get_variable("PATH").split(":");
	
	foreach (string path in paths){//Try to find binary in all paths in $PATH
		if (path == ignore_dir)  //except for our launcher directory, which only contains symlinks
			continue;
		
		string binary_path = path + "/" + name;
		if (File.new_for_path(binary_path).query_exists())
			return binary_path;
	}
	return null;
}
